<?php
/*
  require('csendsms.inc.php');

  $sms = new CSendSMS();

  	//spoji se se serverem
  $sms->Connect('username','heslo','hashheslo');

		//Toto jsou defaultni hodnoty, radky netreba uvadet
    //Nyni uvadim pouze pro prehlednost
  $sms->SetOption('HTTPS',0);	//zatim zrejme ne dobre implementovano
  $sms->SetOption('DEBUG',0);	//pouze simuluje odesilani (jen radi do fronty a pri SendAllSMS zahazuje)
  $sms->SetOption('PRINT',0);	//vypisuje sms na STDOUT
  $sms->SetOption('HOLDFAIL',0);	//ovlada chovani fronty v pripade neuspesneho odeslani SMS

  	//SMS se zaradi do fronty
  $sms->AddSMS('737510079','Prvni smska',1,'SMS server1');
  $sms->AddSMS('737510079','Druha smska',1,'SMS server2');
  $sms->AddSMS('737510079','Treti smska',0,'SMS server3');
  $sms->AddSMS('737510079','Ctvrta smska',1,'SMS server4');

  	//Tato SMS se odesle okamzite, preskoci frontu
    //Vraci status vraceny serverem
  $sms->SendSMS('737510079','Vysoce dulezite',1,'SMS server');

  	//Takto lze vypsat vsechy zarazene SMS k odeslani
    //Cislovani podle poradi vkladani do fronty
  print_r($sms->GetSMS());

*/  
  
  
  /*
     UPOZORNENI: Pozor na connection-close serveru! Pred kazdym volanim odesilani sms by se
     melo testovat, jestli je trida pripojena (fce IsConnected())
  */

		//Odesle vsechny sms ve fronte
    //Vrati true/false
 // $sms->SendAllSMS();

  	//Takto lze zjistit resulty vracene serverem jednotlivych SMS (cislovani podle poradi vkladani do fronty)
 // print_r($sms->GetResults());

  /*
		V pripade, ze neni zapnuta direktiva HOLDFAIL, po pokusu o odeslani SMS se fronta smaze. O texty
    neodeslanych SMS se tim padem prijde. V pripade, ze je direktiva HOLDFAIL zapnuta, lze pripadne
    podle GetResult a GetSMS dohledat neodeslana data. Po zpracovani neodeslanych SMS by se ale mela fronta
    smazat pomoci DeleteSMS, protoze az na vyjimky SMS nepujdou odeslat ani pri dalsim pokusu a akorat
    ve fronte strasi. Pozor tedy na zapominani DeleteSMS s HOLDFAIL...
  */

  	//Smaze vsechny SMS, ktere jsou ve fronte (napriklad po spatnem odeslani se zapnutou direktivou HOLDFAIL
 // $sms->DeleteSMS();

  	//Pokud nastaveno
		//Pro uplnost za sebou trida zamete
 // $sms->Disconnect();

?>

<?

	//toto je nejjedonussi priklad odesilani hromadnych SMS

require_once('csendsms.inc.php');
  $sms = new CSendSMS();






/*
////-------------->>>>>>SMS AGENT---->>>>>>>>>>>>>>>>>>>>  
  $sms->Connect('uzivatelske_jmeno','heslo_na_smsmidlet','heslo_na_smsagent'); //agent 
//libovolny odesilatel, napr. +420604123456 nebo text max 11 znaku
// priklad pro dlouhou EMS zpravu, max 612 znaku textu, smstype=10 , odesilatel SMSmidlet
$sms->AddSMS('420603123456','prvni smska, prvni smska, prvni smska, prvni smska, pre er e  smska, prvni smska, prvni smskasd sdsd sd prvni smska, prvni smska, prvni smska, prvni smska, prvni smska, prvni smska, prvnier erer er a, prvni smska,JI ','10','SMSmidlet');

//normalni SMS (cislo, text, typ, odesilatel)
$sms->AddSMS('420603123123','Druha smska',1,'+420604123456');  
////-------------->>>>>>SMS AGENT----<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<<  
*/








////-------------->>>>>>SMS AGENT  LITE---->>>>>>>>>>>>>>>>>>>>  
  
  $sms->Connect('uzivatelske_jmeno','heslo_na_smsmidlet','heslo_na_smsagent_LITE'); //agent lite  

// priklad pro dlouhou EMS zpravu, max 612 znaku textu, smstype=10 , odesilatel SMSmidlet
$sms->AddSMS('420603123456','prvni smska, prvni smska, prvni smska, prvni smska, pre er e  smska, prvni smska, prvni smskasd sdsd sd prvni smska, prvni smska, prvni smska, prvni smska, prvni smska, prvni smska, prvnier erer er a, prvni smska,JI ','10','SMSmidlet');


//normalni SMS
$sms->AddSMS('420603123456','Druha smska',1,'$uZiVaTelske_JmEno');

//normalni FLASH
$sms->AddSMS('420603123456','Treti smska',2,'$moje_telefoni_cislo');


////-------------->>>>>>SMS AGENT  LITE----<<<<<<<<<<<<<<<<<<<<<<<<<<<<<




  $sms->SendAllSMS();
  $sms->Disconnect();
 print_r($sms->GetResults());
?>